# Generated by Django 4.0.3 on 2024-04-02 08:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Policies', '0006_colleg_alter_institute_university_delete_college'),
    ]

    operations = [
        migrations.CreateModel(
            name='Policyguide',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('score1', models.CharField(default='NONE', max_length=30)),
                ('score2', models.CharField(default='NONE', max_length=30)),
                ('dmp_recommendation', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.dmp_tool')),
                ('kind', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Policies.policy_kind')),
                ('storage_recommendation', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.storage_tool')),
            ],
        ),
        migrations.AlterField(
            model_name='colleg',
            name='policy',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policyguide'),
        ),
        migrations.AlterField(
            model_name='institute',
            name='policy',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policyguide'),
        ),
        migrations.AlterField(
            model_name='projectpolicy',
            name='policy',
            field=models.OneToOneField(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='Policies.policyguide'),
        ),
        migrations.DeleteModel(
            name='Policy',
        ),
    ]
